de.vc.report.sources

## Class ListTableModel

- java.lang.Object
- - de.vc.report.ReportTableModel
  - - de.vc.report.sources.ListTableModel

-     public class ListTableModel
      extends ReportTableModel

  Table model implement as a list.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListTableModel(java.lang.String[] columnNames)` Creates model for a table of a report.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRow(java.lang.Object[] cells)` Adds a row to this model.
    `java.lang.String[]` | `definedColumns()` Gets all table columns of this model.
    `protected java.lang.Object` | `doGetValueOfCell(java.lang.String columnName)`
    `protected void` | `doReset()`
    `protected void` | `doSelectNextRow()`
    `protected int` | `getColumnOf(java.lang.String columnId)` Gets the column-index of an column-id.
    `boolean` | `hasMoreRows()` Determinates if more rows are available.

    - ### Methods inherited from class de.vc.report.ReportTableModel

      `disposeData, doDisposeData, getLogger, getRowIndex, getValueOfCell, reset, selectNextRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListTableModel

          public ListTableModel(java.lang.String[] columnNames)

      Creates model for a table of a report. Names of columns aren't case sensitive.
      Parameters:
        `columnNames` - Name of table-columns.

  - ### Method Detail

    - #### addRow

          public void addRow(java.lang.Object[] cells)

      Adds a row to this model.
      Parameters:
        `cells` - Value of cells.

    - #### definedColumns

          public java.lang.String[] definedColumns()

      Description copied from class: `ReportTableModel`
      Gets all table columns of this model. Note that two different table models must not have equal column names!
      Specified by:
        `definedColumns` in class `ReportTableModel`
      Returns:
        String[] Name of columns.

    - #### doGetValueOfCell

          protected java.lang.Object doGetValueOfCell(java.lang.String columnName)

      Specified by:
        `doGetValueOfCell` in class `ReportTableModel`

    - #### doReset

          protected void doReset()

      Specified by:
        `doReset` in class `ReportTableModel`

    - #### doSelectNextRow

          protected void doSelectNextRow()

      Specified by:
        `doSelectNextRow` in class `ReportTableModel`

    - #### getColumnOf

          protected int getColumnOf(java.lang.String columnId)

      Gets the column-index of an column-id.
      Parameters:
        `columnId` - ID of column.
      Returns:
        column or -1, if id is not known.

    - #### hasMoreRows

          public boolean hasMoreRows()

      Description copied from class: `ReportTableModel`
      Determinates if more rows are available.
      Specified by:
        `hasMoreRows` in class `ReportTableModel`
      Returns:
        true, if at least one row is available.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.